package com.zhyc.module.feed.mapper;

import java.util.List;
import com.zhyc.module.feed.domain.SgFeedStatistic;
import org.apache.ibatis.annotations.Mapper;

/**
 * 饲喂量统计Mapper接口
 * 
 * @author HashMap
 * @date 2025-08-23
 */
@Mapper
public interface SgFeedStatisticMapper 
{
    /**
     * 查询饲喂量统计
     * 
     * @param id 饲喂量统计主键
     * @return 饲喂量统计
     */
    SgFeedStatistic selectSgFeedStatisticById(String id);

    /**
     * 查询饲喂量统计列表
     * 
     * @param sgFeedStatistic 饲喂量统计
     * @return 饲喂量统计集合
     */
    List<SgFeedStatistic> selectSgFeedStatisticList(SgFeedStatistic sgFeedStatistic);

    /**
     * 新增饲喂量统计
     * 
     * @param sgFeedStatistic 饲喂量统计
     * @return 结果
     */
    int insertSgFeedStatistic(SgFeedStatistic sgFeedStatistic);

    /**
     * 修改饲喂量统计
     * 
     * @param sgFeedStatistic 饲喂量统计
     * @return 结果
     */
    int updateSgFeedStatistic(SgFeedStatistic sgFeedStatistic);

    /**
     * 删除饲喂量统计
     * 
     * @param id 饲喂量统计主键
     * @return 结果
     */
    int deleteSgFeedStatisticById(String id);

    /**
     * 批量删除饲喂量统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSgFeedStatisticByIds(String[] ids);
}
